import { AbstractCanvas } from '@antv/g-base';
import { ChangeType } from '@antv/g-base/lib/types';
import * as Shape from './shape';
import Group from './group';
import Defs from './defs';
declare class Canvas extends AbstractCanvas {
    constructor(cfg: any);
    set(name: any, value: any): void;
    /**
     * 一些方法调用会引起画布变化
     * @param {ChangeType} changeType 改变的类型
     */
    onCanvasChange(changeType: ChangeType): void;
    getShapeBase(): typeof Shape;
    getGroupBase(): typeof Group;
    createDom(): SVGSVGElement;
    draw(): void;
    applyClip(context: Defs): void;
    drawPath(context: Defs): void;
    initEvents(): void;
    clearEvents(): void;
}
export default Canvas;
