import { AbstractGroup } from '@antv/g-base';
import { ChangeType } from '@antv/g-base/lib/types';
import * as Shape from './shape';
import Defs from './defs';
declare class Group extends AbstractGroup {
    isEntityGroup(): boolean;
    createDom(): SVGGElement;
    afterAttrsChange(targetAttrs: any): void;
    /**
     * 一些方法调用会引起画布变化
     * @param {ChangeType} changeType 改变的类型
     */
    onCanvasChange(changeType: ChangeType): void;
    getShapeBase(): typeof Shape;
    getGroupBase(): typeof Group;
    draw(context: Defs): void;
    applyClip(context: Defs): void;
    drawPath(context: Defs): void;
    updatePath(context: Defs, targetAttrs?: any): void;
}
export default Group;
