/**
 * @fileoverview line
 * @author dengfuping_develop@163.com
 */
import { __extends } from "tslib";
import { each, isBoolean } from '@antv/util';
import { SVG_ATTR_MAP } from '../constant';
import ShapeBase from './base';
var Line = /** @class */ (function (_super) {
    __extends(Line, _super);
    function Line() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.type = 'line';
        _this.canFill = false;
        _this.canStroke = true;
        return _this;
    }
    Line.prototype.createPath = function (context, targetAttrs) {
        var attrs = this.attr();
        var el = this.get('el');
        each(targetAttrs || attrs, function (value, attr) {
            if (attr === 'startArrow' || attr === 'endArrow') {
                var id = isBoolean(value)
                    ? context.getDefaultArrow(attrs, SVG_ATTR_MAP[attr])
                    : context.addArrow(attrs, SVG_ATTR_MAP[attr]);
                el.setAttribute(SVG_ATTR_MAP[attr], "url(#" + id + ")");
            }
            else if (SVG_ATTR_MAP[attr]) {
                el.setAttribute(SVG_ATTR_MAP[attr], value);
            }
        });
    };
    return Line;
}(ShapeBase));
export default Line;
//# sourceMappingURL=line.js.map