"use strict";
/**
 * @fileoverview line
 * @author dengfuping_develop@163.com
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var util_1 = require("@antv/util");
var constant_1 = require("../constant");
var base_1 = require("./base");
var Line = /** @class */ (function (_super) {
    tslib_1.__extends(Line, _super);
    function Line() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.type = 'line';
        _this.canFill = false;
        _this.canStroke = true;
        return _this;
    }
    Line.prototype.createPath = function (context, targetAttrs) {
        var attrs = this.attr();
        var el = this.get('el');
        util_1.each(targetAttrs || attrs, function (value, attr) {
            if (attr === 'startArrow' || attr === 'endArrow') {
                var id = util_1.isBoolean(value)
                    ? context.getDefaultArrow(attrs, constant_1.SVG_ATTR_MAP[attr])
                    : context.addArrow(attrs, constant_1.SVG_ATTR_MAP[attr]);
                el.setAttribute(constant_1.SVG_ATTR_MAP[attr], "url(#" + id + ")");
            }
            else if (constant_1.SVG_ATTR_MAP[attr]) {
                el.setAttribute(constant_1.SVG_ATTR_MAP[attr], value);
            }
        });
    };
    return Line;
}(base_1.default));
exports.default = Line;
//# sourceMappingURL=line.js.map